Parameters
2 query
Query parameters
· 2targetKind"post" | "activity" | "issue" | "newsroom"RequiredtargetExternalIdstringRequiredLength: 16–24
Example
example_targetExternalId2 query
targetKind"post" | "activity" | "issue" | "newsroom"RequiredtargetExternalIdstringRequiredexample_targetExternalId1 status code documented
itemsobject[]RequiredexternalIdstringRequiredtargetKind"post" | "activity" | "issue" | "newsroom"RequiredtargetExternalIdstringRequiredauthorKind"member" | "system" | "bot" | "agent"RequiredauthorMemberIdstring | integer | nullRequired0authorContactExternalIdstring | nullRequiredauthorLabelstring | nullRequiredauthorAvatarInfoobjectRequiredfullNamestringOptionalavatarUrlstringOptionalactivityInfoobjectOptionalstatusstringOptionalinActiveMinutesnumberOptionallastActivitystring | Date | string | string | numberOptionalbodyMarkdownstringRequiredinsertedDatestringRequiredupdatedDatestring | nullRequiredcanManagebooleanRequired{
"items": [
{
"externalId": "example_externalId",
"targetExternalId": "example_targetExternalId",
"authorAvatarInfo": {
"fullName": "example_fullName",
"avatarUrl": "example_avatarUrl",
"activityInfo": {
"status": "example_status",
"inActiveMinutes": 0
}
},
"bodyMarkdown": "example_bodyMarkdown",
"insertedDate": "example_insertedDate",
"canManage": false
}
]
}GET /bff/feed/comments
curl -X GET "https://api.bizkithub.com/bff/feed/comments?targetExternalId=example_targetExternalId" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY"All BizKitHub public API endpoints require authentication via API key.